; #########################################################################

      .586
      .model flat, stdcall
      option casemap :none   ; case sensitive

; #########################################################################
      include \masm32\include\windows.inc
      include \masm32\include\user32.inc
      include \masm32\include\kernel32.inc
      include \masm32\include\comdlg32.inc
      
      includelib \masm32\lib\user32.lib
      includelib \masm32\lib\kernel32.lib
      includelib \masm32\lib\comdlg32.lib
      
; #########################################################################   
    .data
       msgTitle db "Scan status:",0h
       msgText db "Fake signature ;)",0h
    .code

start:
 
;	MASM32 	antiPeID example 
;			coded by ap0x
;			Reversing Labs: http://ap0x.headcoders.net

;	PeID checks OEP for signatures. If the byte pattern at OEP matches some of
;	the signatures stored in PeID.exe or userdb.txt PeID will identify target as 
;	packer or protector assigned to that signature. So we can insert any number
;	of bytes at OEP and make PeID detect the wrong packer.

;	For example this is ExeCryptor`s OEP

	db 0E8h,024h,000h,000h,000h,08Bh,04Ch,024h,00Ch,0C7h,001h,017h,000h,001h,000h,0C7h
	db 081h,0B8h,000h,000h,000h,000h,000h,000h,000h,031h,0C0h,089h,041h,014h,089h,041h
	db 018h,080h,0A1h,0C1h,000h,000h,000h,0FEh,0C3h,031h,0C0h,064h,0FFh,030h,064h,089h
	db 020h

;	After this code executes we just align the STACK, remove the SEH and continue
;	executing like no code was executed before MessageBox.

	ASSUME FS:NOTHING
	POP FS:[0]
	ADD ESP,4

	PUSH 40h
	PUSH offset msgTitle
	PUSH offset msgText
	PUSH 0
	CALL MessageBox

	PUSH 0
	CALL ExitProcess

end start